BLOCKDEV(8)

BEZEICHNUNG
blockdev – Blockgeräte mit Ioctls über die Befehlszeile steuern

ÜBERSICHT
blockdev [-q] [-v] Befehl [Befehl…] Gerät [Gerät…]
blockdev --report [Gerät…]
blockdev -h|-V

BESCHREIBUNG
Das Dienstprogramm blockdev ermöglicht Ihnen den Aufruf von Blockgerät-Ioctls auf der Befehlszeile.

OPTIONEN

-q  aktiviert den stillen Modus.

-v  Ausführlicher Modus.

--report
    erstellt einen Bericht über das angegebene Gerät. Sie können dabei mehrere Geräte angeben. Falls Sie keines angeben, werden alle in /proc/partitions enthaltenen Geräte angezeigt. Beachten Sie, dass der Startsektor von Partitionen (StartSec) in 512-Byte-Sektoren angezeigt wird.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

BEFEHLE
Es ist möglich, mehrere Geräte und mehrere Befehle anzugeben.

--flushbufs
    leert die Puffer.

--getalignoff
    ermittelt den Versatz der Ausrichtung.

--getbsz
    gibt die Blockgröße in Byte aus.

--getdiscardzeroes
    ermittelt, ob die Verwerfung von Nullen unterstützt wird.

--getfra
    ermittelt den Readahead-Wert des Dateisystems in 512-Byte-Sektoren.

--getiomin
    ermittelt die minimale E/A-Größe.

--getioopt
    ermittelt die optimale E/A-Größe.

--getmaxsect
    ermittelt die maximale Anzahl der Sektoren pro Anfrage.

--getpbsz
    ermittelt die physische Größe von Blöcken in Sektoren.

--getra
    gibt den Readahead-Wert aus (in 512-Byte-Sektoren).

--getro
    ermittelt den Schreibschutz. Falls ein Gerät schreibgeschützt ist, wird 1 ausgegeben, anderenfalls 0.

--getsize64
    gibt die Gerätegröße in Byte aus.

--getsize
    gibt die Gerätegröße (32-bit!) in Sektoren aus. Diese Option ist veraltet, stattdessen sollte --getsz verwendet werden.

--getss
    gibt die logische Sektorengröße in Byte aus – üblicherweise 512.

--getsz
    ermittelt die Größe in 512-Byte-Sektoren.

--rereadpt
    liest die Partitionstabelle erneut ein.

--setbsz Bytes
    legt die Blockgröße fest. Beachten Sie, dass die Blockgröße vom aktuellen Dateideskriptor der Blockdatei abhängt, so dass die Änderung der Blockgröße nur so lange besteht, wie blockdev das Gerät geöffnet hält und diese verloren geht, wenn blockdev beendet wird.

--setfra Sektoren
    legt den Readahead-Wert des Dateisystems fest (wie --setra bei 2.6er Kerneln).

--setra Sektoren
    legt den Readahead-Wert fest (in 512-Byte-Sektoren).

--setro
    setzt nur-lesbar. Der derzeit aktive Zugriff auf das Gerät mag von der Änderung nicht betroffen sein. Bereits im Lese-Schreibmodus eingehängte Dateisysteme sind von der Änderung nicht betroffen. Die Änderung greift nach einem erneuten Einhängen.

--setrw
    hebt einen Schreibschutz auf.

AUTOR
Blockdev wurde von Andries E. Brouwer geschrieben und von Karel Zak neu geschrieben.

VERFÜGBARKEIT
Der Befehl blockdev ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com>, Dr. Tobias Quathamer <toddy@debian.org> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.